#!/bin/bash	

BASENAME=${0##*/}
SCRIPTDIR=${0%$BASENAME}

USER_TEMPLATE_DIR="$3/System/Library/User Template"


DESKTOP_FILES="${SCRIPTDIR}/Resources/CopyToDesktop"
FONT_FILES="${SCRIPTDIR}/Resources/Fonts"



for USER_TEMPLATE in "${USER_TEMPLATE_DIR}"/* ; do


	if [ -d "${USER_TEMPLATE}" ]; then
		echo "copying to ${USER_TEMPLATE}"
		if [ ! -d "${USER_TEMPLATE}/Desktop" ]; then
			echo "desktop template folder does not exist. creating."
			mkdir -p "${USER_TEMPLATE}/Desktop"
		fi
		cp -Rv "${DESKTOP_FILES}"/* "${USER_TEMPLATE}/Desktop/"
		
		if [ ! -d "${USER_TEMPLATE}/Fonts" ]; then
			echo "font folder does not exist. creating."
			mkdir -p "${USER_TEMPLATE}/Fonts"
		fi
		cp -Rv "${FONT_FILES}"/* "${USER_TEMPLATE}/Fonts/"
		
	fi

done 



exit 0
